<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@page import="java.util.ArrayList"%>

<html>
<jsp:include page="fragments/header.jsp" />
<body>
	<div class="container">
		<jsp:include page="fragments/bodyHeader.jsp" />
		<spring:url value="/sequence/query" var="searchquery" />
		<spring:url value="/joblog/query" var="jobquery" />

		<c:choose>
			<c:when test="${search == 'SearchCounter'}">
				<h3>${njobs} proteins with at least ${counter} jobs</h3>
			</c:when>
			<c:otherwise>
				<h3>Jobs with the given protein sequences:</h3>
			</c:otherwise>
		</c:choose>
		<h3>Time execution: ${timeExecution} ms</h3>
		<c:choose>

		<c:when test="${results == null}">
			<h3>No jobs for sequence ${prot}</h3>
		</c:when>
		<c:otherwise>
			<table border="1" style="border-collapse: collapse; white-space: nowrap">
				<c:choose>
					<c:when test="${search == 'SearchCounter'}">
						<thead>
							<tr>
								<th style="text-align: centre">Number of jobs</th>
								<th style="text-align: left">Protein</th>
							</tr>
						</thead>
						<tbody>
							<c:forEach items="${results}" var="res">
								<tr>
									<td>${res.totalId}</td>
									<td
										style="text-align: left; border-buttom: dotted; font-family: monospace">

										<a title="Click to view all jobs"
										href="${searchquery}?prot=${res.prot}&protein=whole&Search=SearchSequence&counterJob=${counter}">${res.prot}</a>
									</td>
								</tr>
							</c:forEach>
					</c:when>
					<c:otherwise>
						<thead>
							<tr style="text-align: centre">
								<th>Job ID</th>
								<th>annotation</th>
								<th>Sequence</th>
							</tr>
							</thead>
							<tbody>
								<c:forEach items="${results}" var="res" varStatus="status">
									<c:set var="ann" value="${res.predictions}" />
									<tr style="border-bottom: double">
										<th rowspan="${ann.mapsize + 2}">
										<a title="Click to view the job log" href="${jobquery}?IdJob=${res.id}">${res.id}</a></th>
									</tr>
									<tr style="border-bottom: double">
										<td
											style="text-align: center; font-weight: bold; font-family: monospace">Protein
											Sequence</td>
										<c:if test="${flag == 'whole'}">
											<td
												style="text-align: left; border-buttom: dotted; font-family: monospace"><c:out
													value="${res.prot}" /></td>
										</c:if>
										<c:if test="${flag == 'part'}">
											<td
												style="text-align: left; border-buttom: dotted; font-family: monospace">
												<c:forEach items="${res.subProt}" var="seq">
													<c:choose>
														<c:when test="${fn:contains(seq, prot)}">
															<span style="background-color: blue">${seq}</span>
														</c:when>
														<c:otherwise>${seq}</c:otherwise>
													</c:choose>
												</c:forEach>
											</td>
										</c:if>
									</tr>
									<c:forEach items="${ann.predictions}" var="seq"
										varStatus="status">
										<tr>
											<td
												style="text-align: center; font-weight: bold; font-family: monospace"><c:out
													value="${seq.key}" /></td>
											<td
												style="text-align: left; border-buttom: dotted; font-family: monospace"><c:out
													value="${seq.value}" /></td>
										</tr>
									</c:forEach>
								</c:forEach>
						</c:otherwise>
					</c:choose>
					</tbody>
				</table>
			</c:otherwise>
		</c:choose>

		<jsp:include page="fragments/footer.jsp" />
	</div>
</body>
</html>